org.apache.fontbox.cff

## Class CIDKeyedType2CharString

- java.lang.Object
- - org.apache.fontbox.cff.Type1CharString
  - - org.apache.fontbox.cff.Type2CharString
    - - org.apache.fontbox.cff.CIDKeyedType2CharString

    public class CIDKeyedType2CharString
    extends Type2CharString

A CID-Keyed Type 2 CharString.

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`CIDKeyedType2CharString(Type1CharStringReader font, String fontName, int cid, int gid, List<Object> sequence, int defaultWidthX, int nomWidthX)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCID()` Returns the CID (character id) of this charstring.

### Methods inherited from class org.apache.fontbox.cff.Type2CharString

`getGID`

### Methods inherited from class org.apache.fontbox.cff.Type1CharString

`addCommand, getBounds, getLastSequenceEntry, getName, getPath, getWidth, isSequenceEmpty, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CIDKeyedType2CharString

    public CIDKeyedType2CharString(Type1CharStringReader font,
                                   String fontName,
                                   int cid,
                                   int gid,
                                   List<Object> sequence,
                                   int defaultWidthX,
                                   int nomWidthX)

Constructor.

Parameters:
  `font` - Parent CFF font
  `fontName` - font name
  `cid` - CID
  `gid` - GID
  `sequence` - Type 2 char string sequence
  `defaultWidthX` - default width
  `nomWidthX` - nominal width

### Method Detail

#### getCID

    public int getCID()

Returns the CID (character id) of this charstring.

Returns:
  the CID of this charstring